#ifndef __TLSSEP_COMMON_H
#define __TLSSEP_COMMON_H

#include <tlssep.h>

tlssep_status_t tlssep_wait(int fd);
tlssep_status_t tlssep_signal(int fd);
tlssep_status_t tlssep_send(int signalfd, int waitfd, void *dest, const void *src, int size, int *bytes_written);
tlssep_status_t tlssep_recv(int signalfd, int waitfd, tlssep_status_t (*consumer) (void *dest, int offset, const void *src, int size), void *dest, const void *src, int size, int *bytes_read);

#ifdef DEBUG
#define debug(...) fprintf (stderr, __VA_ARGS__)
#else
#define debug(...) {}
#endif

#endif
